Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229204 - Confusing information in passwd(5) and shadow(5)
Summary: Confusing information in passwd(5) and shadow(5)
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: shadow-utils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: David Lawrence
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-19 15:50 UTC by Tomas Mraz
Modified: 2008-05-07 01:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 01:12:13 UTC


Attachments (Terms of Use)

Description Tomas Mraz 2007-02-19 15:50:19 UTC
This sentence in passwd(5) is incorrect:
       These days many people run some version of the shadow  password  suite,
       where /etc/passwd has asterisks (*) instead of encrypted passwords, and
       the encrypted passwords are in /etc/shadow which  is  readable  by  the
       superuser only.

The correct character for marking shadowed password is 'x' and not '*'.

This sentence in shadow(5) is incorrect:
This information supersedes any password or password age information present
in /etc/passwd.

I suggest to remove this sentence completely as the password information from
/etc/shadow is consulted only when the /etc/passwd contains 'x' (or
'##nameofaccount') in the password hash field, and the password age information
is parsed only from /etc/shadow (we don't support any aging information in
/etc/passwd).

Comment 1 Miloslav Trmač 2007-02-19 21:22:45 UTC
Please add the following information as well:

- If the encrypted password, whether in /etc/passwd or in /etc/shadow, is
  an empty string, login is allowed without even asking for a password.  

  Note that this functionality may be intentionally disabled in applications,
  or configurable (for example using the "nullok" or "nonull" arguments to
  pam_unix.so).
- If the encrypted password in /etc/passwd is "*NP*" (without the quotes),
  the shadow record should be obtained from a NIS+ server.
- If the "date of last password change" is 0, the password is considered
  to be expired (as if "days after which password must be changed" have already
  elapsed).  In this case, "days after which password must be changed",
  "days after password expires that account is disabled" and "days since Jan 1
  1970 that account is disabled" are ignored.
  [This sounds bad, the fields probably should have some short labels in the
  man page - e.g. those from <shadow.h>.]

The following is currently pending discussion on pam-list, currently it is
only partially true:
- If the encrypted password, whether in /etc/passwd or in /etc/shadow,
  is "*", login is not allowed and the password can not be changed to any other
  value even by the root user, other than by editing /etc/passwd manually.

  This is used for system user accounts used e.g. for running daemons with
  restricted privileges.


Comment 2 Miloslav Trmač 2007-02-23 09:43:21 UTC
Please ignore the "*" paragraph, the PAM developers have decided to remove the
feature.

Comment 3 Ivana Varekova 2007-02-27 12:54:10 UTC
passwd(5) man page is fixed in man-pages-2.43-8.fc7. shadow(5) is part of
shadow-utils.

Comment 4 Bug Zapper 2008-04-03 19:11:24 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 5 Bug Zapper 2008-05-07 01:12:11 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.